### Virtual Method

# Gio AppInfo set_as_default_for_extension

#### Declaration

    gboolean
    set_as_default_for_extension (
      GAppInfo* appinfo,
      const char* extension,
      GError** error
    )

#### Description

Sets the application as the default handler for the given file extension.

#### Parameters

`extension`

  Type: `const char*`

  A string containing the file extension (without the dot).

  The data is owned by the caller of the function.
  The value is a file system path, using the OS encoding.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` on error.